<?php
//共通
require_once '../../base/common.php';
require_once '../../util/combo.php';
require_once './allways.php';

$logger = new logger(basename(__FILE__));
$logger->info("=== af902x_index_start ===");
$logger->info('post', $_POST);

if(!($stringUtil->isEmpty($_POST["cucd"]))) {
  $header["cucd"] = $_POST["cucd"];
  $header["cunm"] = $_POST["cunm"];
}

if(!($stringUtil->isEmpty($_POST["param1"]))) {
  $header["param1"] = $_POST["param1"];
}

$assign_var["header"] = $header;

//$assign_var["noeventClassHeader"] = "";
//$assign_var["noeventClassBody"]   = "noevent";

//タイトル変更


//コンボボックス作成
$listutil = null;
$listutil = new getListUtil();


$assign_var["listGdcls1"] = $listutil->getlistGdcls1();
$assign_var["listGdcls2"] = $listutil->getlistGdcls2('');
$assign_var["listGdcls3"] = $listutil->getlistGdcls3('','');
$assign_var["listGdpkf"]  = $cbo_gdpkf;
$assign_var["listGdcls7"] = $cbo_gdcls7;
$assign_var["listGdcls9"] = $listutil->getListAfm90('6'); //改廃区分
$assign_var["listGdtcls"] = $cbo_gdtcls;
$assign_var["listGdretcls"] = $cbo_gdretcls;
$assign_var["listGdcls8"] = $cbo_gdcls8;
$assign_var["listTaxrtd"] = $listutil->getlistlistTaxrtd();
$assign_var["listHtcls"]  = $cbo_htcls02d;
$assign_var["listHtpcls"] = $cbo_htpcls02d;


//POPUP
$assign_var["hasPopJan"]="1";
$assign_var["hasPopMcd"] = "1";
$assign_var["hasPopKtktcd"] = "1";
$assign_var["hasPopAf02m"]  = "1";
$assign_var["hasPopScls90"] = "1";

// 初期表示
$dataList = array(
);
$assign_var["data"] = $dataList;

$gInit_array = getDefaultData(); //allwaysにある
$assign_var["init_data"] = json_encode($gInit_array); 


$logger->info('assign_var',$assign_var);

//Smartyへアサイン
$smarty->assign($assign_var);
$smarty->display("index");

$logger->info("=== af902x_index_end ===");
?>
